/* MyOpenGLView */

#import <Cocoa/Cocoa.h>

#define _NEWTON_USE_LIB 1
#import "Newton.h"

@interface MyOpenGLView : NSOpenGLView
{
	NewtonWorld* nWorld;
	NewtonBody* ribidBodyBox;
	
	NSTimeInterval worldTime;
	
	IBOutlet NSTextField *fpsTextField;
	IBOutlet NSButton *physicsSwitch;
}
- (void)setup;
- (void)setupGL;
- (void)initScene;

- (void)drawBox;
@end
